Skip to Content
APIWitness

Witness

List of witness interfaces.

Get the list of witnesses

Returns a list of witnesses.

The maximum value for limit is 200.

GET https://apilist.tronscanapi.com/api/pagewitness?witnesstype=0

Try this endpoint in your browser ↗ 🔗

ParameterDescription
witnesstypeThe type of value returned. 0: Witness, 1: Partner, 3: Candidate. Default: 0

Get the list of votes for the account

Returns a list of votes for the account.

GET https://apilist.tronscanapi.com/api/account/votes?address=TWSRE85rP7FydZKjHmmZgCYF5Dbw8AB91J

Try this endpoint in your browser ↗ 🔗

ParameterDescription
addressAccount address

Get the list of parameters in the chain

Returns the list of parameters in the chain.

GET https://apilist.tronscanapi.com/api/chainparameters

Try this endpoint in your browser ↗ 🔗

No parameters required.


Get the list of proposals

Returns the proposal details of the master chain based on the proposal ID and marks whether the address is the initiator or participant.

The maximum value for limit is 200.

GET https://apilist.tronscanapi.com/api/proposal?sort=-number&limit=1&start=0&address=TWSRE85rP7FydZKjHmmZgCYF5Dbw8AB91J

Try this endpoint in your browser ↗ 🔗

ParameterDescription
startStart number. Default: 0
limitNumber of items per page. Default: 20
addressShows whether the address is an initiator or a participant
idProposal ID

Get the current voting information of witness

Returns the current voting information of a witness.

GET https://apilist.tronscanapi.com/api/vote/witness?address=TSMC4YzUSfySfqKuFnJbYyU3W6PBebBk2E

Try this endpoint in your browser ↗ 🔗

ParameterDescription
addressAccount address

Get statistics for the witness homepage

Returns statistics for the witness homepage.

GET https://apilist.tronscanapi.com/api/witness/general-info

Try this endpoint in your browser ↗ 🔗

No parameters required.

Last updated on: